using WinformGeneralDeveloperFrame.Commons;

namespace MES.Entity
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("stock")]
    public partial class stockInfo
    {
    [ModelBindControl("txtcode")]
    public string code{set;get;}
    [ModelBindControl("txtname")]
    public string name{set;get;}
    [ModelBindControl("txtstartPrice")]
    public decimal startPrice{set;get;}
    [ModelBindControl("txtolePrice")]
    public decimal olePrice{set;get;}
    [ModelBindControl("txtnowPrice")]
    public decimal nowPrice{set;get;}
    [ModelBindControl("txtmaxPrice")]
    public decimal maxPrice{set;get;}
    [ModelBindControl("txtminPrice")]
    public decimal minPrice{set;get;}
    [ModelBindControl("txtbidderPrice")]
    public decimal bidderPrice{set;get;}
    [ModelBindControl("txtauctionPrice")]
    public decimal auctionPrice{set;get;}
    [ModelBindControl("txtturnover")]
    public int turnover{set;get;}
    [ModelBindControl("txtturnoverPrice")]
    public decimal turnoverPrice{set;get;}
    [ModelBindControl("txtbuyOneNum")]
    public int buyOneNum{set;get;}
    [ModelBindControl("txtbuyOnePrice")]
    public decimal buyOnePrice{set;get;}
    [ModelBindControl("txtbuyTwoNum")]
    public int buyTwoNum{set;get;}
    [ModelBindControl("txtbuyTwoPrice")]
    public decimal buyTwoPrice{set;get;}
    [ModelBindControl("txtbuyThreeNum")]
    public int buyThreeNum{set;get;}
    [ModelBindControl("txtbuyThreePrice")]
    public decimal buyThreePrice{set;get;}
    [ModelBindControl("txtbuyFourNum")]
    public int buyFourNum{set;get;}
    [ModelBindControl("txtbuyFourPrice")]
    public decimal buyFourPrice{set;get;}
    [ModelBindControl("txtbuyFiveNum")]
    public int buyFiveNum{set;get;}
    [ModelBindControl("txtbuyFivePrice")]
    public decimal buyFivePrice{set;get;}
    [ModelBindControl("txtsellOneNum")]
    public int sellOneNum{set;get;}
    [ModelBindControl("txtsellOnePrice")]
    public decimal sellOnePrice{set;get;}
    [ModelBindControl("txtsellTwoNum")]
    public int sellTwoNum{set;get;}
    [ModelBindControl("txtsellTwoPrice")]
    public decimal sellTwoPrice{set;get;}
    [ModelBindControl("txtsellThreeNum")]
    public int sellThreeNum{set;get;}
    [ModelBindControl("txtsellThreePrice")]
    public decimal sellThreePrice{set;get;}
    [ModelBindControl("txtsellFourNum")]
    public int sellFourNum{set;get;}
    [ModelBindControl("txtsellFourPrice")]
    public decimal sellFourPrice{set;get;}
    [ModelBindControl("txtsellFiveNum")]
    public int sellFiveNum{set;get;}
    [ModelBindControl("txtsellFivePrice")]
    public decimal sellFivePrice{set;get;}
    [ModelBindControl("txttimeStr")]
    public DateTime? timeStr{set;get;}=DateTime.Now;
    [ModelBindControl("txtid")]
    public int id{set;get;}
    
    }
}